跳转到主要内容

模型

列出活跃模型

以扁平 JSON 数组返回 Fetch Hive 中所有可用的活跃(未弃用)LLM 和图像生成模型。不包括仅用于嵌入的模型。
TogetherAI 托管的模型 —— DeepSeek、Qwen、MoonshotAI、Mistral、MiniMaxAI、ZAI、Meta Llama 以及其他由 Together 托管的模型,会从 https://api.together.ai/v1/models(过滤 type == "chat")动态获取,并每天刷新一次。此响应中的列表反映的是当前在 Together AI 上具有有效定价的模型。Together AI 撤下或下架定价的模型会在下次刷新时自动移除。
GET /v1/models

身份验证

需要 Bearer API 密钥。请参阅身份验证

响应

返回一个 JSON 数组。每个对象包含:
字段类型描述
idstring通过 API 配置提示词、工作流或智能体时使用的模型标识符
namestring人类可读的展示名称
slugstring根据模型名称生成的 URL 友好 slug(例如 gpt-4-1
providerstring提供商键。对于 TogetherAI 托管的模型,此值解析为底层模型制造商 —— 例如 deepseekqwenkimimistralminimaxllama —— 而不是 togetherai
provider_namestring提供商展示名称(例如 MiniMaxAI
context_limitinteger最大上下文窗口(以 token 计;未知时为 0)
model_typestring模型类别。聊天/文本模型使用 llm,生成图像的模型使用 image_generation
is_image_generationboolean当模型生成图像时为 true
is_visionboolean支持图像输入。这与图像生成不同;具备视觉能力的 LLM 可以接受图像输入,但不会生成图像
is_reasoningboolean对 OpenAI/xAI 推理强度模型(o1、o3、GPT-5)和 Anthropic 扩展思考模型(Claude Sonnet/Opus)均为 true
is_tool_callingboolean支持工具/函数调用
is_json_schemaboolean支持结构化 JSON schema 输出
为特定工作流选择模型时,在 model_type 上进行筛选。LLM/聊天选择器使用 model_type: "llm",图像生成选择器使用 model_type: "image_generation"。不要使用 is_vision 来识别图像生成模型。

示例响应

[
  {
    "id": "gpt-4.1",
    "name": "GPT 4.1",
    "slug": "gpt-4-1",
    "provider": "openai",
    "provider_name": "OpenAI",
    "context_limit": 1047576,
    "model_type": "llm",
    "is_image_generation": false,
    "is_vision": true,
    "is_reasoning": false,
    "is_tool_calling": true,
    "is_json_schema": true
  },
  {
    "id": "claude-sonnet-4-6",
    "name": "Claude Sonnet 4.6",
    "slug": "claude-sonnet-4-6",
    "provider": "anthropic",
    "provider_name": "Anthropic",
    "context_limit": 200000,
    "model_type": "llm",
    "is_image_generation": false,
    "is_vision": true,
    "is_reasoning": true,
    "is_tool_calling": true,
    "is_json_schema": false
  },
  {
    "id": "MiniMaxAI/MiniMax-M2.5",
    "name": "MiniMax M2.5",
    "slug": "minimax-m2-5",
    "provider": "minimaxai",
    "provider_name": "MiniMaxAI",
    "context_limit": 256000,
    "model_type": "llm",
    "is_image_generation": false,
    "is_vision": false,
    "is_reasoning": true,
    "is_tool_calling": true,
    "is_json_schema": true
  },
  {
    "id": "moonshotai/Kimi-K2.6",
    "name": "Kimi K2.6",
    "slug": "kimi-k2-5",
    "provider": "moonshotai",
    "provider_name": "MoonshotAI",
    "context_limit": 256000,
    "model_type": "llm",
    "is_image_generation": false,
    "is_vision": true,
    "is_reasoning": true,
    "is_tool_calling": true,
    "is_json_schema": true
  },
  {
    "id": "gpt-image-2",
    "name": "GPT Image 2",
    "slug": "gpt-image-2",
    "provider": "openai",
    "provider_name": "OpenAI",
    "context_limit": 0,
    "model_type": "image_generation",
    "is_image_generation": true,
    "is_vision": false,
    "is_reasoning": false,
    "is_tool_calling": false,
    "is_json_schema": false
  },
  {
    "id": "gemini-2.5-flash-image",
    "name": "Gemini 2.5 Flash Image",
    "slug": "gemini-2-5-flash-image",
    "provider": "google",
    "provider_name": "Google",
    "context_limit": 0,
    "model_type": "image_generation",
    "is_image_generation": true,
    "is_vision": false,
    "is_reasoning": false,
    "is_tool_calling": false,
    "is_json_schema": false
  }
]
请参阅模型库以了解各提供商支持的模型的完整概览。